Import incidents from an integration
POST
/v1/integrations/{name}/incidents/import
const url = 'https://api.adversarial.com/api/v1/integrations/example/incidents/import';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.adversarial.com/api/v1/integrations/example/incidents/importParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
string
Integration vendor short name (e.g. ‘jira’, ‘wiz’, ‘bugcrowd’)
Responses
Section titled “Responses”Incident import dispatched to background worker
Media typeapplication/json
Acknowledgement that an import has been accepted for background processing (HTTP 202).
object
status
required
Dispatch status; "queued" when the import has been accepted.
string
Examplegenerated
{ "status": "example"}